> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llm-stats.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Snapshot

> Mint a 15-minute signed URL for a snapshot file (one data response).



## OpenAPI

````yaml https://api.llm-stats.com/stats/openapi.json get /v1/snapshots/{snapshot_id}/download
openapi: 3.1.0
info:
  title: LLM Stats API
  description: Public API for querying AI model benchmarks, scores, rankings, and pricing.
  version: 1.0.0
servers:
  - url: /stats
security: []
paths:
  /v1/snapshots/{snapshot_id}/download:
    get:
      summary: Download Snapshot
      description: Mint a 15-minute signed URL for a snapshot file (one data response).
      operationId: download_snapshot_v1_snapshots__snapshot_id__download_get
      parameters:
        - name: snapshot_id
          in: path
          required: true
          schema:
            type: string
            title: Snapshot Id
        - name: redirect
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Default true: 302 to the signed URL. false: return the signed URL
              and checksum as JSON instead.
            default: true
            title: Redirect
          description: >-
            Default true: 302 to the signed URL. false: return the signed URL
            and checksum as JSON instead.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SnapshotDownloadResponse'
        '302':
          description: >-
            Redirect to a 15-minute signed download URL (default; counts as one
            data response).
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - HTTPBearer: []
components:
  schemas:
    SnapshotDownloadResponse:
      properties:
        snapshot_id:
          type: string
          title: Snapshot Id
        download_url:
          type: string
          title: Download Url
        expires_at:
          type: string
          format: date-time
          title: Expires At
        expires_in_seconds:
          type: integer
          title: Expires In Seconds
        format:
          type: string
          title: Format
        bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Bytes
        sha256:
          anyOf:
            - type: string
            - type: 'null'
          title: Sha256
      type: object
      required:
        - snapshot_id
        - download_url
        - expires_at
        - expires_in_seconds
        - format
      title: SnapshotDownloadResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
        help_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Url
        limit_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Limit Type
        plan:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan
        reset_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Reset At
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - code
        - message
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````